Bug 172657 - [patch] Clean up dependency on twisted in databases/py-carbon
Summary: [patch] Clean up dependency on twisted in databases/py-carbon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-13 08:20 UTC by Brad Davis
Modified: 2012-11-02 14:42 UTC (History)
0 users

See Also:


Attachments
patch-py-carbon (577 bytes, text/plain)
2012-10-13 08:20 UTC, Brad Davis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Davis freebsd_committer 2012-10-13 08:20:01 UTC
	Only depend on twisted with USE_TWISTED so we just get twsited core. I tested with only core installed and it works fine, so no need to depend on the whole meta port of twisted.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-13 08:20:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-10-13 08:20:32 UTC
Maintainer of databases/py-carbon,

Please note that PR ports/172657 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172657

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-10-13 08:20:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 R.Mahmatkhanov 2012-10-16 13:43:26 UTC
Thanks, but it should be USE_TWISTED_RUN=yes however.
Chris, would you approve?

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-11-02 14:42:08 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-11-02 14:42:47 UTC
State Changed
From-To: feedback->closed

Committed, thank you!